OSALANG(1)

NAME
osalang - information about installed OSA languages

SYNOPSIS
osalang [-dlL]

DESCRIPTION
osalang prints information about installed OSA languages. With no options, it prints an unadorned list of language names to standard output. These names can be passed to the -l options of osacompile(1) and osascript(1). The options are as follows:

-d  Only print the default language.

-l  List in long format. For each language, osalang will print its component subtype, manufacturer, and capability flags. There are eight groups of optional routines that scripting components can support. Each flag is either a letter, meaning the group is supported, or ‘-’, meaning it is not. The letters map to the following groups:

    c   compiling scripts.
    g   getting source data.
    x   coercing script values.
    e   manipulating the event create and send functions.
    r   recording scripts.
    v   “convenience” APIs to execute scripts in one step.
    d   manipulating dialects.
    h   using scripts to handle Apple Events.

    For descriptions of the groups and the APIs in each of them, see <http://developer.apple.com/documentation/mac/IAC/IAC-361.html>.

-L  Same as -l, but also prints the description of each component after its name.

SEE ALSO
osacompile(1), osascript(1)